org.apache.xmlgraphics.util.io

## Class ASCII85OutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.apache.xmlgraphics.util.io.ASCII85OutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, ASCII85Constants, Finalizable

      public class ASCII85OutputStream
      extends java.io.FilterOutputStream
      implements ASCII85Constants, Finalizable

  This class applies a ASCII85 encoding to the stream.
  Version:
    $Id$

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

    - ### Fields inherited from interface org.apache.xmlgraphics.util.io.ASCII85Constants

      `END, EOD, EOL, POW85, START, ZERO, ZERO_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASCII85OutputStream(java.io.OutputStream out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `finalizeStream()` This method can be called instead of close() on a subclass of FilteredOutputStream when a final marker has to be written to the target stream, but close() cannot be called.
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.FilterOutputStream

      `flush, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASCII85OutputStream

          public ASCII85OutputStream(java.io.OutputStream out)

      See Also:
        `FilterOutputStream`

  - ### Method Detail

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`
      See Also:
        `FilterOutputStream`

    - #### finalizeStream

          public void finalizeStream()
                              throws java.io.IOException

      Description copied from interface: `Finalizable`
      This method can be called instead of close() on a subclass of FilteredOutputStream when a final marker has to be written to the target stream, but close() cannot be called.
      Specified by:
        `finalizeStream` in interface `Finalizable`
      Throws:
        `java.io.IOException` - In case of an IO problem
      See Also:
        `Finalizable`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.FilterOutputStream`
      Throws:
        `java.io.IOException`
      See Also:
        `FilterOutputStream`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.